Skip to main content
GET
/
api
/
v1
/
personalize
/
generations
/
runs
/
{run_id}
/
leads
Paginated leads list for a single run (for >500-lead runs)
curl --request GET \
  --url https://api.example.com/api/v1/personalize/generations/runs/{run_id}/leads \
  --header 'Authorization: Bearer <token>'
{
  "generations": [
    {
      "generation_id": "<string>",
      "lead_index": 123,
      "lead_snapshot": {},
      "status": "generated",
      "generated_at": "<string>",
      "subject": "<string>",
      "body": "<string>",
      "error": "<string>"
    }
  ],
  "total_generations": 123,
  "offset": 123,
  "limit": 123,
  "has_more": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.bavlio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

run_id
string
required

Query Parameters

offset
integer
default:0
Required range: x >= 0
limit
integer
default:100
Required range: 1 <= x <= 500

Response

Successful Response

generations
GenerationRow · object[]
required
total_generations
integer
required
offset
integer
required
limit
integer
required
has_more
boolean
required